TermTranslator.h File Reference
`#include "VarNames.h"`
`#include <vector>`
`#include <ostream>`

Go to the source code of this file.

## Classes

class | TermTranslator
| TermTranslator handles translation between terms whose exponents are infinite precision integers and terms whose exponents are 32 bit integers. More...
class | TranslatedReverseLexComparator
| A predicate that sorts according to reverse lexicographic order on the translated values of a term. More...

## Functions

void | setToZeroOne (TermTranslator &translator)
ostream & | operator<< (ostream &out, const TermTranslator &translator)

## Function Documentation

## operator<<()

ostream & operator<< | ( | ostream & | out,
|  | const TermTranslator & | translator )

Definition at line 492 of file TermTranslator.cpp.

## setToZeroOne()

void setToZeroOne | ( | TermTranslator & | translator | ) |

Definition at line 481 of file TermTranslator.cpp.